$name the-tk.com
$source https://the-tk.com/cgit/the-tk.com/

This website is an ongoing project of mine, an attempt at writing a simple to
maintain static website with html which tries to avoid putting <div>s
everywhere. I also hope that at least some of the stuff I write about can be
useful to some people.

$desc

## Older Versions

The website is actually on its 4th revision. The files for the 1st revision may
be lost somewhere (probably for the best) but can find the source for v2 and v3
of the website in the GitHub repository located [here][old-gh], the "old" branch
holds v2. v3 of the website relies on a slightly customized liquid, the nature
of this customization can be found [here][liquid-patch].

## IP Echo Server

An IP echo server is hosted at http://ip.the-tk.com/. Before I was informed that
you could implement this functionality entirely within nginx (using
`return 200 $remote_addr`) I had written this short simple fastcgi IP echo
program in C:

~~~.c
#include <fcgi_stdio.h>
#include <stdio.h>
#include <stdlib.h>

int main(void)
{
	while (FCGI_Accept() >= 0) {
		puts("Content-type: text/plain; charset=UTF-8");
		puts("Status: 200 OK");
		puts("");
		printf("%s", getenv("REMOTE_ADDR"));
	}

	return EXIT_SUCCESS;
}
~~~

[old-gh]: https://github.com/EliteTK/the-tk.com/ "EliteTK/the-tk.com · GitHub"
[liquid-patch]: https://github.com/EliteTK/liquid/tree/replace_newlines "EliteTK/liquid at replace_newlines"
